Draft Ellipse/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
{{Docnav
|[[Draft_Arc|Arc]]
|[[Draft_Circle|Circle]]
|[[Draft_Rectangle|Rectangle]]
|[[Draft_Polygon|Polygon]]
|[[Draft_Module|Draft]]
|[[Draft_Module|Draft]]
|IconL=Draft_Arc.svg
|IconL=Draft_Circle.svg
|IconR=Draft_Polygon.svg
|IconR=Draft_Rectangle.svg
|IconC=Workbench_Draft.svg
|IconC=Workbench_Draft.svg
}}
}}
Line 19: Line 20:
</div>
</div>


A Draft Ellipse can be turned into an elliptical arc by setting its {{PropertyData|First Angle}} and {{PropertyData|Last Angle}} properties to different values.
This tool can also be used to create elliptical arcs by specifying the start and end angles. To create circles and circular arcs use the [[Draft Circle|Draft Circle]] and [[Draft Arc|Draft Arc]] tools. You can also approximate an elliptical or circular arc using the [[Draft BSpline|Draft BSpline]] and [[Draft BezCurve|Draft BezCurve]] tools.


[[Image:Draft_ellipse_example.jpg|400px]]
[[Image:Draft_ellipse_example.jpg|400px]]
Line 26: Line 27:
</div>
</div>


==Usage==
==Usage==

See also: [[Draft_Tray|Draft Tray]], [[Draft_Snap|Draft Snap]] and [[Draft_Constrain|Draft Constrain]].


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 34: Line 37:
# Faceți clic pe un al doilea punct din vizualizarea 3D sau tastați un [[Draft_Coordinates/ro|coordinate]]
# Faceți clic pe un al doilea punct din vizualizarea 3D sau tastați un [[Draft_Coordinates/ro|coordinate]]
</div>
</div>

The ellipse can be turned into an elliptical arc after creation, by setting its first angle and last angle properties to different values.


== Opţiuni ==
== Opţiuni ==

The single character keyboard shortcuts available in the task panel can be changed. See [[Draft_Preferences|Draft Preferences]]. The shortcuts mentioned here are the default shortcuts.


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 48: Line 51:
* Ellipses, atunci când în modul de afișare "Flat Lines", poate afișa un model de hașură, prin setarea proprietății "Pattern" de mai jos.
* Ellipses, atunci când în modul de afișare "Flat Lines", poate afișa un model de hașură, prin setarea proprietății "Pattern" de mai jos.
</div>
</div>

==Notes==

* A Draft Ellipse can be edited with the [[Draft_Edit|Draft Edit]] command.
* If the {{MenuCommand|Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available}} option is checked, the command will create a [[Part_Ellipse|Part Ellipse]] instead of a Draft Ellipse. See [[Draft_Preferences#General_settings|Draft Preferences]].


==Proprietăți==
==Proprietăți==


See also: [[property_editor|Property editor]].
An Ellipse object shares many properties with a [[Draft Circle|Draft Circle]], but some properties only make sense for the ellipse.

A Draft Ellipse object is derived from a [[Part_Part2DObject|Part Part2DObject]] and inherits all its properties. It also has the following additional properties:

===Data===

{{TitleProperty|Draft}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 60: Line 74:
* {{PropertyView/ro|Pattern Size}}: specificați modelul și mărimea hașurii
* {{PropertyView/ro|Pattern Size}}: specificați modelul și mărimea hașurii
</div>
</div>

===View===

{{TitleProperty|Draft}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
See also [[Draft Pattern/ro|Draft Pattern]] page.
See also [[Draft Pattern/ro|Draft Pattern]] page.
</div>
</div>

==Scripting==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 70: Line 90:
</div>
</div>


To create a Draft Ellipse use the {{incode|make_ellipse}} method ({{Version|0.19}}) of the Draft module. This method replaces the deprecated {{incode|makeEllipse}} method.
The Ellipse tool can by used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:

{{Code|code=
{{Code|code=
Ellipse = makeEllipse(majradius, minradius, placement=None, face=True, support=None)
ellipse = make_ellipse(majradius, minradius, placement=None, face=True, support=None)
}}
}}


Line 83: Line 104:


Exempluː
Exempluː

{{Code|code=
{{Code|code=
import FreeCAD, Draft
import FreeCAD as App
import Draft


doc = App.newDocument()
Ellipse1 = Draft.makeEllipse(3000, 200)
Ellipse2 = Draft.makeEllipse(700, 1000)


ellipse1 = Draft.make_ellipse(3000, 200)
ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
ellipse2 = Draft.make_ellipse(700, 1000)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))


zaxis = App.Vector(0, 0, 1)
Ellipse3 = Draft.makeEllipse(700, 1000, placement=place3)
p3 = App.Vector(1000, 1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 90))

ellipse3 = Draft.make_ellipse(700, 1000, placement=place3)

doc.recompute()
}}
}}



{{Docnav
{{Docnav
|[[Draft_Arc|Arc]]
|[[Draft_Circle|Circle]]
|[[Draft_Rectangle|Rectangle]]
|[[Draft_Polygon|Polygon]]
|[[Draft_Module|Draft]]
|[[Draft_Module|Draft]]
|IconL=Draft_Arc.svg
|IconL=Draft_Circle.svg
|IconR=Draft_Polygon.svg
|IconR=Draft_Rectangle.svg
|IconC=Workbench_Draft.svg
|IconC=Workbench_Draft.svg
}}
}}
Line 107: Line 135:
{{Draft Tools navi{{#translation:}}}}
{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Revision as of 11:17, 4 May 2021

Elipsă 2D

poziția meniului
Draft → Ellipse
Ateliere
Draft, Arch
scurtătură
E L
Prezentat în versiune
-
A se vedea, de asemenea,
Draft Circle

Descriere

Instrumentul Ellipse creează o eliptsă în planul curent work plane introducând două puncte, definind colțul unei casete rectangulare în care se va potrivi elipsa. Este nevoie de linewidth and color setată anterior pe fila Activități.

A Draft Ellipse can be turned into an elliptical arc by setting its DateFirst Angle and DateLast Angle properties to different values.

Usage

See also: Draft Tray, Draft Snap and Draft Constrain.

Cum se utilizează

  1. Apăsați butonul Draft Ellipse sau apăsați E apoi tastele L
  2. Faceți clic pe un prim punct din vizualizarea 3D sau tastați un coordinate
  3. Faceți clic pe un al doilea punct din vizualizarea 3D sau tastați un coordinate

Opţiuni

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

  • Pentru a introduce manual coordonatele, pur și simplu introduceți numerele, apoi apăsați ENTER between each X, Y and Z component.
  • Apăsați Tsau click pe caseta de validare pentru a bifa/debifa butonul Continue . Dacă modul Continuu este activat, instrumentul Ellipse se va reporni după ce dați cel de-al doilea punct, permițându-vă să desenați o altă elipsă fără să apăsați din nou butonul Ellipse.
  • Apăsați CTRL în timp ce desenați pentru a forța punctul snapping punctul dvs. către cea mai apropiată locație, independent de distanță.
  • Apăsați SHIFT în timp ce atrageți la constrain al doilea punct pe orizontală sau pe verticală în raport cu primul.
  • Apăsați I apoi butonul Filled pentru a avea elipsa umplută cu o fațetă după ce a fost închisă
  • Apăsați ESC sau butonul Cancel pentru a abandona comanda.
  • Ellipses, atunci când în modul de afișare "Flat Lines", poate afișa un model de hașură, prin setarea proprietății "Pattern" de mai jos.

Notes

  • A Draft Ellipse can be edited with the Draft Edit command.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part Ellipse instead of a Draft Ellipse. See Draft Preferences.

Proprietăți

See also: Property editor.

A Draft Ellipse object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Data

Draft

  • DATEMajor Radius: Semiaxa majoră a eleipseiaza majoră a elipsei
  • DATEMinor Radius: Semiaxa minoră a elipsei
  • DATEMake Face: Umple elipsa cu o fațetă
  • VEDEREPattern: Specificați modelul de hașură pentru a umple elipsa cu el
  • VEDEREPattern Size: specificați modelul și mărimea hașurii

View

Draft

See also Draft Pattern page.

Scripting

Script-Programare

Instrumentul Ellipse poate fi folosit în macros și din consola python utilizând următoarea funcție:

To create a Draft Ellipse use the make_ellipse method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeEllipse method.

ellipse = make_ellipse(majradius, minradius, placement=None, face=True, support=None)
  • Creează un obiect elipsă cu o semiaxă/rază majoră și semiaxă/minoră dată.
  • Dacă este dată o destinație de plasare, aceasta este utilizată.
  • Dacă facemode este False, elipsa este arătată ca un cadru de sârmă, altfel ca o fațetă.
  • Returnează obiectul nou creat.

Exempluː

import FreeCAD as App
import Draft

doc = App.newDocument()

ellipse1 = Draft.make_ellipse(3000, 200)
ellipse2 = Draft.make_ellipse(700, 1000)

zaxis = App.Vector(0, 0, 1)
p3 = App.Vector(1000, 1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 90))

ellipse3 = Draft.make_ellipse(700, 1000, placement=place3)

doc.recompute()